Bug 127811 - FILEOPEN PPTX Area chart legend entries appear in reversed order
Summary: FILEOPEN PPTX Area chart legend entries appear in reversed order
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:7.1.0
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2019-09-27 07:46 UTC by NISZ LibreOffice Team
Modified: 2021-02-17 21:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in PowerPoint and Impress (104.43 KB, image/png)
2019-09-27 07:47 UTC, NISZ LibreOffice Team
Details
The original file saved by Impress (91.09 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-09-27 07:47 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-09-27 07:46:29 UTC
Description:
Area chart legends are in reversed order in PowerPoint presentation, when the file is opened in LibreOffice Impress 6.4.0.0.alpha0+ 

Steps to Reproduce:
    1. Create a Presentation in Microsoft PowerPoint.
    2. Insert a simple Area Chart.
    3. Save the presentation as PPTX
    4. Open the presentation in LibreOffice Impress 6.4.0.0.alpha0+ 

Actual Results:
The legends of area chart are in reversed order, 2 – 1 instead of 1 – 2 independently from legend placement (bottom, top, left or right)

Expected Results:
The legends of area chart should be in the same order as it was made in Microsoft PowerPoint.



Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.4.0.0.alpha0+ (x64)
Build ID: f04bd7975292d297b72e8bb23aa74a2a5198aa23
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-09-27 07:47:05 UTC
Created attachment 154576 [details]
Screenshot of the original document side by side in PowerPoint and Impress
Comment 2 NISZ LibreOffice Team 2019-09-27 07:47:28 UTC
Created attachment 154577 [details]
The original file saved by Impress
Comment 3 Timur 2019-10-07 14:29:06 UTC
I guess that original is attachment 154579 [details] from bug 127813.
I confirm with LO 6.4+ and LO 3.3. OO didn't open this chart.
Comment 4 Commit Notification 2020-04-28 06:03:40 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cbe6c4929c9da28ce5553ce31782027d5111ed16

tdf#127811 tdf#127813 Introduce compatibility key for the data series

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-11-20 23:06:26 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/34c4d09265196b50786a57e185af72a3610a0e5a

tdf#127811: chart2_import: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.